Bulk create interviews
curl --request POST \
--url https://assess.praxicraft.com/api/v1/public/interviews/bulk/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"candidates": [
{}
],
"title": "<string>",
"interview_type": "<string>",
"interviewer_mode": "<string>",
"job_description": "<string>",
"time_limit_minutes": 123,
"scheduled_at": "2023-11-07T05:31:56Z",
"coding_task_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"org_task_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"persona": {}
}
'import requests
url = "https://assess.praxicraft.com/api/v1/public/interviews/bulk/"
payload = {
"candidates": [{}],
"title": "<string>",
"interview_type": "<string>",
"interviewer_mode": "<string>",
"job_description": "<string>",
"time_limit_minutes": 123,
"scheduled_at": "2023-11-07T05:31:56Z",
"coding_task_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"org_task_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"persona": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
candidates: [{}],
title: '<string>',
interview_type: '<string>',
interviewer_mode: '<string>',
job_description: '<string>',
time_limit_minutes: 123,
scheduled_at: '2023-11-07T05:31:56Z',
coding_task_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
org_task_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
persona: {}
})
};
fetch('https://assess.praxicraft.com/api/v1/public/interviews/bulk/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://assess.praxicraft.com/api/v1/public/interviews/bulk/';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
candidates: [{}],
title: '<string>',
interview_type: '<string>',
interviewer_mode: '<string>',
job_description: '<string>',
time_limit_minutes: 123,
scheduled_at: '2023-11-07T05:31:56Z',
coding_task_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
org_task_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
persona: {}
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://assess.praxicraft.com/api/v1/public/interviews/bulk/"
payload := strings.NewReader("{\n \"candidates\": [\n {}\n ],\n \"title\": \"<string>\",\n \"interview_type\": \"<string>\",\n \"interviewer_mode\": \"<string>\",\n \"job_description\": \"<string>\",\n \"time_limit_minutes\": 123,\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"coding_task_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"org_task_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"persona\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"created": [
{}
],
"errors": [
{}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Public API — Interviews
Bulk create interviews
Required scope:
interviews:write
Bulk create interviews
POST
/
api
/
v1
/
public
/
interviews
/
bulk
/
Bulk create interviews
curl --request POST \
--url https://assess.praxicraft.com/api/v1/public/interviews/bulk/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"candidates": [
{}
],
"title": "<string>",
"interview_type": "<string>",
"interviewer_mode": "<string>",
"job_description": "<string>",
"time_limit_minutes": 123,
"scheduled_at": "2023-11-07T05:31:56Z",
"coding_task_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"org_task_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"persona": {}
}
'import requests
url = "https://assess.praxicraft.com/api/v1/public/interviews/bulk/"
payload = {
"candidates": [{}],
"title": "<string>",
"interview_type": "<string>",
"interviewer_mode": "<string>",
"job_description": "<string>",
"time_limit_minutes": 123,
"scheduled_at": "2023-11-07T05:31:56Z",
"coding_task_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"org_task_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"persona": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
candidates: [{}],
title: '<string>',
interview_type: '<string>',
interviewer_mode: '<string>',
job_description: '<string>',
time_limit_minutes: 123,
scheduled_at: '2023-11-07T05:31:56Z',
coding_task_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
org_task_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
persona: {}
})
};
fetch('https://assess.praxicraft.com/api/v1/public/interviews/bulk/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://assess.praxicraft.com/api/v1/public/interviews/bulk/';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
candidates: [{}],
title: '<string>',
interview_type: '<string>',
interviewer_mode: '<string>',
job_description: '<string>',
time_limit_minutes: 123,
scheduled_at: '2023-11-07T05:31:56Z',
coding_task_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
org_task_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
persona: {}
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://assess.praxicraft.com/api/v1/public/interviews/bulk/"
payload := strings.NewReader("{\n \"candidates\": [\n {}\n ],\n \"title\": \"<string>\",\n \"interview_type\": \"<string>\",\n \"interviewer_mode\": \"<string>\",\n \"job_description\": \"<string>\",\n \"time_limit_minutes\": 123,\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"coding_task_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"org_task_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"persona\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"created": [
{}
],
"errors": [
{}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Organisation API key created in Assess → Developer → API Keys. Format: Bearer ct_live_<your-key> (live) or Bearer ct_test_<your-key> (test). Optional per-key CIDR allowlists return 403 IP_NOT_ALLOWED.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Show child attributes
Show child attributes
Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Show child attributes
Show child attributes
Last modified on September 5, 2026